# Get forex rates

Returns a list of foreign exchange rates for a given base/counter currency pair

Endpoint: GET /v1/forex
Version: 1.0.0
Security: oauth2

## Query parameters:

  - `base_currency` (string, required)
    The base currency code (ISO 4217)

  - `counter_currency` (string, required)
    The counter currency code (ISO 4217)

  - `partner_name` (string)
    The name of the payout partner

  - `partner_id` (string)
    The id of the payout partner

## Response 200 fields (application/json):

  - `payout_partner_id` (string)
    The id of the payout partner

  - `payout_partner_name` (string)
    The name of payout partner

  - `base_currency` (string, required)
    The base currency code (ISO 4217)
    Example: "EUR"

  - `counter_currency` (string, required)
    The counter currency code (ISO 4217)
    Example: "AUD"

  - `rate` (string, required)
    The FX currency rate
    Example: "1.47289"

  - `expiry` (string)
    The FX rate expiry date

## Response 400 fields (application/problem+json):

  - `status` (integer, required)

  - `errors` (array, required)

  - `errors.category` (string, required)
    Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE"

  - `errors.title` (string, required)

  - `errors.code` (string, required)

  - `errors.detail` (string, required)

  - `timestamp` (string)


